#Western Castle floor 2 treasure 1
from eventAPI import *
from APIUtils import *

rtcastle2chest1 = 0

def fireEvent(e):
   global rtcastle2chest1
   rtcastle2chest1 = getTag(e, "rtcastle2chest1")
   if (rtcastle2chest1 == 1):
      return 1
   else:
      showMessage(e, ["You find a battered chest hidden behind some old barrels."])
      chest(e, 1, 5, dice(225, 4, 1), ["Dragonhide Leather Boots"], dice(1, 4, 1), "Treasure")
   showMessage(e, ["The chest and it's remaining contents fade away."])
   rtcastle2chest1 = 1
   setTag(e, "rtcastle2chest1", rtcastle2chest1)
   return 1
